<?php
/*
Simple:Press
Custom Profile Fields Plugin Admin Form
$LastChangedDate: 2013-08-05 13:11:56 -0700 (Mon, 05 Aug 2013) $
$Rev: 10470 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_custom_profile_fields_admin_form() {
	# grab the defined custom profile fields
	$cfields = sp_custom_profile_fields_get_data();

	# get the current profile tabs and menus
	$tabs = sp_profile_get_tabs();

	spa_paint_open_tab(__('Profiles', 'cpf').' - '.__('Custom Profile Fields', 'cpf'), true);
		spa_paint_open_panel();
			spa_paint_open_fieldset(__('Custom Profile Fields', 'cpf'), true, 'custom-fields');
			echo '<table class="form-table"><tr>';
			echo '<th width="20%" style="text-align:center">'.__('Name', 'cpf').'</th>';
			echo '<th width="20%" style="text-align:center">'.__('Slug', 'cpf').'</th>';
			echo '<th width="15%" style="text-align:center">'.__('Type', 'cpf').'</th>';
			echo '<th width="20%" style="text-align:center">'.__('Values (select, list and radio only)', 'cpf').'</th>';
			echo '<th width="20%" style="text-align:center">'.__('Profile Form For Display', 'cpf').'</th>';
			echo '<th width="5%" style="text-align:center">'.__('Delete', 'cpf').'</th>';
			echo '</tr>';

			# display custom field info
			if (!empty($cfields)) {
				foreach ($cfields as $x => $fields) {
					echo '<tr>';
					echo '<td width="100%" colspan="6" style="border-bottom:0px;padding:0px;">';
					echo '<div id="cfield'.$x.'">';
					echo '<table width="100%" cellspacing="0">';
					echo '<tr>';
					echo '<td width="20%" class="sflabel" align="left">';
					echo '<input type="text" class="sfpostcontrol" size="40" name="cfieldname[]" value="'.esc_attr($fields['name']).'" />';
					echo '</td>';
					echo '<td width="20%" class="sflabel" align="left">';
					echo '<input type="text" disabled="disabled" class="sfpostcontrol" size="40" name="cfieldslug[]" value="'.esc_attr($fields['slug']).'" />';
					echo '</td>';
					echo '<td width="15%" class="sflabel" align="center">';
					echo '<select class="sfacontrol" name="cfieldtype[]">';
					$cselected = $iselected = $tselected = $sselected = $lselected = $rselected ='';
					if ($fields['type'] == 'checkbox') $cselected = ' selected';
					if ($fields['type'] == 'input') $iselected = ' selected';
					if ($fields['type'] == 'textarea') $tselected = ' selected';
					if ($fields['type'] == 'select') $sselected = ' selected';
					if ($fields['type'] == 'list') $lselected = ' selected';
					if ($fields['type'] == 'radio') $rselected = ' selected';
					echo '<option value="checkbox"'.$cselected.'>'.__('Checkbox', 'cpf').'</option>';
					echo '<option value="input"'.$iselected.'>'.__('Input', 'cpf').'</option>';
					echo '<option value="textarea"'.$tselected.'>'.__('Textarea', 'cpf').'</option>';
					echo '<option value="select"'.$sselected.'>'.__('Select', 'cpf').'</option>';
					echo '<option value="list"'.$lselected.'>'.__('List', 'cpf').'</option>';
					echo '<option value="radio"'.$rselected.'>'.__('Radio', 'cpf').'</option>';
					if ($cselected == '' && $iselected == '' && $tselected == '' && $sselected == '' && $lselected == '' && $rselected == '') echo '<option value="error" selected>'.__('Error!', 'cpf').'</option>';
					echo '</select>';
					echo '</td>';
					echo '<td width="20%" class="sflabel" align="center">';
					$select = '';
					if (!empty($fields['values'])) $select = $fields['values'];
					echo '<input type="text" class="sfpostcontrol" size="40" name="cfieldvalues[]" value="'.esc_attr($select).'" />';
					echo '</td>';
					echo '<td width="20%" class="sflabel" align="center">';
					sp_custom_profile_fields_menu_select($tabs, $fields['form']);
					echo '</td>';
					echo '<td width="5%" class="sflabel" align="center">';
	                $site = esc_url(SFHOMEURL.'index.php?sp_ahah=cpf&amp;sfnonce='.wp_create_nonce('forum-ahah').'&amp;action=delete-cfield&amp;slug='.$fields['slug']);
					?>
					<img onclick="spjDelRow('<?php echo $site; ?>', 'cfield<?php echo $x; ?>');" src="<?php echo SFCOMMONIMAGES; ?>delete.png" title="<?php esc_attr_e(__('Delete Custom Field', 'cpf')); ?>" alt="" />&nbsp;
					<?php
					echo '</td>';
					echo '</tr>';
					echo '</table>';
					echo '</div';
					echo '</td>';
					echo '</tr>';
				}
			}

			# always have one empty slot available for new custom field
			echo '<tr>';
			echo '<td width="20%" class="sflabel">';
			echo '<input type="text" class="sfpostcontrol" size="40" name="cfieldname[]" value="" />';
			echo '</td>';
			echo '<td width="20%" class="sflabel">';
			echo '<input type="text" disabled="disabled" class="sfpostcontrol" size="40" name="cfieldslug[]" value="'.esc_attr(__('slug will be auto generated', 'cpf')).'" />';
			echo '</td>';
			echo '<td width="15%" class="sflabel" align="center">';
			echo '<select class="sfacontrol" name="cfieldtype[]">';
			echo '<option value="none">'.__('Custom Field Type', 'cpf').'</option>';
			echo '<option value="checkbox">'.__('Checkbox', 'cpf').'</option>';
			echo '<option value="input">'.__('Input', 'cpf').'</option>';
			echo '<option value="textarea">'.__('Textarea', 'cpf').'</option>';
			echo '<option value="select">'.__('Select', 'cpf').'</option>';
			echo '<option value="list">'.__('List', 'cpf').'</option>';
			echo '<option value="radio">'.__('Radio', 'cpf').'</option>';
			echo '</select>';
			echo '</td>';
			echo '<td width="20%" class="sflabel">';
			echo '<input type="text" class="sfpostcontrol" size="40" name="cfieldvalues[]" value="" />';
			echo '</td>';
			echo '<td width="20%" class="sflabel" align="center">';
			sp_custom_profile_fields_menu_select($tabs, 'none');
			echo '</td>';
			echo '<td width="5%" class="sflabel"></td>';
			echo '</tr></table>';
			spa_paint_close_fieldset();
		spa_paint_close_panel();
	spa_paint_close_tab();
}
?>