<?php
/*
Simple:Press
Subscription Plugin Admin Options Save Routine
$LastChangedDate: 2013-06-03 04:15:13 -0700 (Mon, 03 Jun 2013) $
$Rev: 10349 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_custom_profile_fields_admin_save() {
	$mess = '';

	$fields = array();
	for ($x=0; $x<count(array_unique($_POST['cfieldname'])); $x++) {
		if (!empty($_POST['cfieldname'][$x])) {
			$fields[$x]['name'] = sp_esc_str($_POST['cfieldname'][$x]);
			$fieldName = sp_create_slug(sp_filter_title_save(trim($fields[$x]['name'])), false);
			$fieldName = preg_replace('|[^a-z0-9_]|i', '', $fieldName);
			$fields[$x]['slug'] = sp_esc_str($fieldName);
			$fields[$x]['type'] = sp_esc_str($_POST['cfieldtype'][$x]);
			$fields[$x]['values'] = sp_filter_title_save(trim($_POST['cfieldvalues'][$x]));
			$fields[$x]['form'] = sp_filter_title_save(trim($_POST['cfieldform'][$x]));

			# validation
			if ($fields[$x]['type'] != 'none') {
				if (($fields[$x]['type'] == 'select' || $fields[$x]['type'] == 'list' || $fields[$x]['type'] == 'radio') && empty($fields[$x]['values'])) {
					$mess.= __('A custom profile field was missing the select/radio values. It was discarded!', 'cpf').'<br />';
					unset($fields[$x]);
				}
			} else {
				$mess.= __('A custom profile field was missing the type.  It was discarded!', 'cpf').'<br />';
				unset($fields[$x]);
			}
		}
	}

	$fields = array_values($fields);
	sp_add_sfmeta('customProfileFields', 'data', $fields, true);

	$mess.= '<br />'.__('Custom profile fields updated!', 'cpf');
	return $mess;
}

?>