<?php
/*
Simple:Press
Custom Profile Fields plugin ahah routine for management functions
$LastChangedDate: 2013-03-02 10:25:01 -0700 (Sat, 02 Mar 2013) $
$Rev: 9945 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

# Check Whether User Can Manage Profiles
if (!sp_current_user_can('SPF Manage Profiles')) {
	_e('Access denied - you do not have permission', 'cpf');
	die();
}

$action = $_GET['action'];

if ($action == 'delete-cfield') {
	$cfields = sp_custom_profile_fields_get_data();

	$slug = sp_esc_str($_GET['slug']);

	if (!empty($cfields)) {
		foreach ($cfields as $x => $fields) {
			# check for this cfield
			if ($fields['slug'] == $slug) unset($cfields[$x]);
		}
	}

	# reduce the array down and save
	$cfields = array_values($cfields);
	sp_add_sfmeta('customProfileFields', 'data', $cfields, true);
}

die();

?>