<?php
/*
Simple:Press
Report Post plugin install routine
$LastChangedDate: 2013-02-17 12:59:36 -0700 (Sun, 17 Feb 2013) $
$Rev: 9855 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_custom_profile_fields_do_install() {
	# if any old style custom profile fields, convert to new format
	$customFields = sp_get_sfmeta('custom_field');
	if (!empty($customFields)) {
		$newCustomFields = array();
		foreach ($customFields as $index => $custom) {
			# move existing values over - make name same as slug
			$newCustomFields[$index]['name'] = $custom['meta_key'];
			$newCustomFields[$index]['slug'] = $custom['meta_key'];
			$newCustomFields[$index]['type'] = $custom['meta_value']['type'];
			$newCustomFields[$index]['values'] = $custom['meta_value']['selectvalues'];
			$newCustomFields[$index]['form'] = '';

			# delete the old style custom profile meta
			sp_delete_sfmeta($custom['meta_id']);
		}

		sp_add_sfmeta('customProfileFields', 'data', $newCustomFields, true);
	}
}
?>